package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWF7A8RWSIDsForProcessing implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWF7A8RWSIDsForProcessing() {}

    public static MWF7A8RWSIDsForProcessing builder() {
        return new MWF7A8RWSIDsForProcessing();
    }

    public MWF7A8RWSIDsForProcessing rsFirstname(String rsFirstname) {
        params.put("RS_FIRSTNAME", rsFirstname);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsSurname(String rsSurname) {
        params.put("RS_SURNAME", rsSurname);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsBirthnumber(String rsBirthnumber) {
        params.put("RS_BIRTHNUMBER", rsBirthnumber);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsIdcardnumber(String rsIdcardnumber) {
        params.put("RS_IDCARDNUMBER", rsIdcardnumber);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsIdcardvalidto(java.util.Date rsIdcardvalidto) {
        params.put("RS_IDCARDVALIDTO", rsIdcardvalidto);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsIdcardtype(String rsIdcardtype) {
        params.put("RS_IDCARDTYPE", rsIdcardtype);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsIdcardpublishingcountry(String rsIdcardpublishingcountry) {
        params.put("RS_IDCARDPUBLISHINGCOUNTRY", rsIdcardpublishingcountry);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsAddressstreet(String rsAddressstreet) {
        params.put("RS_ADDRESSSTREET", rsAddressstreet);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsAddresshousenumber(String rsAddresshousenumber) {
        params.put("RS_ADDRESSHOUSENUMBER", rsAddresshousenumber);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsAddresscity(String rsAddresscity) {
        params.put("RS_ADDRESSCITY", rsAddresscity);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsAddresszipcode(String rsAddresszipcode) {
        params.put("RS_ADDRESSZIPCODE", rsAddresszipcode);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsAddresscountry(String rsAddresscountry) {
        params.put("RS_ADDRESSCOUNTRY", rsAddresscountry);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsNationalidcontrolnumber(Long rsNationalidcontrolnumber) {
        params.put("RS_NATIONALIDCONTROLNUMBER", rsNationalidcontrolnumber);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsAddresslandregistrynumber(String rsAddresslandregistrynumber) {
        params.put("RS_ADDRESSLANDREGISTRYNUMBER", rsAddresslandregistrynumber);
        return this;
    }

    public MWF7A8RWSIDsForProcessing rsCmid(String rsCmid) {
        params.put("RS_CMID", rsCmid);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
